Bug Hunting Session
Bug 80954 - Cannot drop files on toolbars, sidebars etc.
Summary: Cannot drop files on toolbars, sidebars etc.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 112949 (view as bug list)
Depends on:
Blocks: Drag-and-Drop
  Show dependency treegraph
 
Reported: 2014-07-05 18:45 UTC by Urmas
Modified: 2019-04-02 14:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-07-05 18:45:23 UTC
Those elements of LO window do not accept dropped files.
Comment 1 tommy27 2014-07-06 08:58:05 UTC
did toolbar ever accept dragged files? it looks to me it's always been like that, not a specific issue of 4.4.x

anyway, you could file this as enhancement request.
Comment 2 Samuel Mehrbrodt (CIB) 2015-12-14 16:06:19 UTC
(In reply to Urmas from comment #0)
> Those elements of LO window do not accept dropped files.

Why should they? What is supposed to happen when you drag a file on a toolbar item?
Comment 3 Urmas 2015-12-25 14:49:03 UTC
The file is opened, obviously.
Comment 4 Heiko Tietze 2015-12-27 10:12:18 UTC
About what type of file are you talking? I guess you want to drag an odt from your file browser into LibO. It is possible for the document area but not the UI controls (toolbar, sidebar, statusbar).

This is the normal behavior for drag'n drop operation. However LibO has a quite large area for interactions. If it is simple to implement to accept drop operations on the sidebar it make sense here as well.
Comment 5 Urmas 2015-12-27 14:11:18 UTC
Dropping files on frame areas or empty workspace open files.
Dropping files on document windows insert the file in the document.

That is the Windows DND paradigm, and LO has to conform.
Comment 6 Heiko Tietze 2015-12-27 19:33:53 UTC
LibO is a multiplatform application running on all major operating systems. On Linux/KDE I'm sure that dropping stuff on the frame is not supported. Actually, I believe it's up to the developer how to handle drag'n drop and what controls accept drop actions. Try to drop a file on Firefox' sidebar... (also curious what happens with Edge).
If you are sure about the Windows paradigm (guess you are talking about the human interface guideline), please give us a pointer as reference.
Comment 7 Robinson Tryon (qubit) 2016-08-25 05:39:22 UTC Comment hidden (obsolete)
Comment 8 Heiko Tietze 2017-08-08 15:39:27 UTC
Setting it to WONTFIX because of the missing use case. It might be true that Windows apps like the explorer accept dropping on the toolbar or other controls. But actually it's not clear what happens in that case, for instance one could also expect get a quick link to this file.
Comment 9 Urmas 2017-08-08 20:08:51 UTC
As I said, every Windows application opens the file dropped anywhere in the main window (with except of possible special handling of a document area). LO has to conform.

I have no idea what a "quick link" is, and why would someone expect it. Drag-and-drop was established in Windows 3.1, and it has to be supported as everyone expects.
Comment 10 Heiko Tietze 2017-08-08 21:33:04 UTC
(In reply to Urmas from comment #9)
> I have no idea what a "quick link" is...

Bookmark for Internet browsers, for example.
Comment 11 Adolfo Jayme 2017-08-09 21:23:23 UTC
Iā€™d expect a file to be open in a new window if I drop it over the toolbar areas.
Comment 12 Maxim Monastirsky 2017-10-09 17:52:10 UTC
*** Bug 112949 has been marked as a duplicate of this bug. ***